# 启动云游戏服务 (/zh-CN/api-reference/api-ref/danmaku/start-cloud-game)

> For AI agents: see the complete documentation index at [llms.txt](/llms.txt).

启动移动端云游戏服务。

- OpenAPI: /openapi/danmaku/danmaku.zh-CN.yaml
- Operation ID: start-cloud-game
- Method: POST
- Path: /cloud-bullet-game/api/live-data/games/{gameid}/mode/cloud/rooms/{roomid}:start
- Endpoint: https://{domain}/v2/projects/{appid}/cloud-bullet-game/api/live-data/games/{gameid}/mode/cloud/rooms/{roomid}:start

## Servers

- https://{domain}/v2/projects/{appid}

:::warning[注意]
- 调用频率限制：单个 APP ID 调用上限为 10 次/秒。
:::

## Parameters

- `Authorization` (header, required, string) - 发送 HTTP 请求时，你需要将用于游戏推流使用的 RTC Token 填入 HTTP 请求头部的 `Authorization` 字段。Token 生成方式请参考[使用 Token 鉴权](/zh-CN/realtime-media/rtc/build/setup-and-access/token-authentication)。
- `Content-Type` (header, required, string) - 数据类型，必须包含 `application/json`。
- `roomid` (path, required, string) - 房间编号，以 `appid` 作为前缀的全局唯一房间 ID。
- `gameid` (path, required, string) - 游戏编号，调用[获取云游戏列表](/zh-CN/api-reference/api-ref/danmaku/get-cloud-game-list)获得。

## Request body

- `openid` (string, required) - 主播编号。以 `appid` 作为前缀的全局唯一主播 ID。
- `nickname` (string, required) - 主播昵称，会显示在游戏中。
- `avatar_url` (string, required) - 主播头像 URL 地址，会显示在游戏中。
- `rtc_config` (object, required) - RTC 推拉流相关配置。
  - `rtc_config.broadcast_uid` (integer, required) - 主播 RTC uid，用于云游戏识别主播、处理主播游戏控制指令和控制离线超时停止游戏。
  - `rtc_config.uid` (integer, required) - 云游戏推流 uid，用于标识云游戏视频流。
  - `rtc_config.token` (string, required) - 云游戏推流使用的 RTC Token，生成方法详见[使用 Token 鉴权](/zh-CN/realtime-media/rtc/build/setup-and-access/token-authentication)。
  - `rtc_config.channel_name` (string, required) - 云游戏推流频道名。
  - `rtc_config.encryption` (object) - RTC 内置加密设置。详见[`enableEncrption`](/zh-CN/api-reference/rtc/cpp-all-platforms/network#api_irtcengine_enableencryption)。
    - `rtc_config.encryption.mode` (string) - 加密模式。
    - `rtc_config.encryption.secret` (string) - 加密密钥。
    - `rtc_config.encryption.salt` (string) - 盐。

## Responses

### 200

OK

- `err_no` (integer) - 请求错误码，`0` 表示请求成功，非 `0` 表示请求失败，对应的错误原因和解决方案详见[响应状态码](/zh-CN/realtime-media/danmaku/reference/response-code)。
- `err_msg` (string) - `err_no` 为非 `0` 时附带的错误提示信息。
- `logid` (string) - 请求链路 id, 用于出现未知问题时提供给声网技术支持以便定位问题。
- `data` (object)
  - `data.taskid` (string) - 云游戏任务 ID，标识一次云游戏开播任务。

## Response examples

### 200

```json
{
  "err_no": 0,
  "err_msg": "success",
  "logid": "16000000000000052",
  "data": {
    "task_id": "xxxxxxxxx"
  }
}
```
